# BEGIN SourceDeps(oneline):
BuildRequires: perl(AppLib/CreateSelfSignedSSLCert.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/chdir.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Net/Rendezvous/Publish.pm) perl(Plack/App/Directory.pm) perl(Plack/Runner.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name App-HTTPSThis
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Export the current directory over HTTPS
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-HTTPSThis

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a fork of the App::HTTPThis manpage for HTTPS version instead of HTTP.

This class implements all the logic of the the https_this manpage command.

Actually, this is just a very thin wrapper around
the Plack::App::Directory manpage, that is where the magic really is.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*
%_bindir/*
%_man1dir/*

%changelog
* Sun Oct 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

